Bug 10142 - upgrade fails.. lilo is not installed, old kernel removed
upgrade fails.. lilo is not installed, old kernel removed
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
6.2
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-03-13 04:53 EST by Jules Stuifbergen
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-03-21 15:13:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jules Stuifbergen 2000-03-13 04:53:25 EST
I hope the following will be fixed, as it was a plain standard
upgrade from 6.1 to 6.2RC2.0

The following Python exception occurred during the Post Install
phase:

file /usr/bin/anaconda, line 342 in ?
        intf.run(todo, test=test)
/usr/lib/anaconda/text.py, line 1165 in run
        rc=apply(step[1](), step[2])
/usr/lib/anaconda/text.py, line 702 in __call__
        if todo.install():
/usr/lib/anaconda/todo.py, line 1321 in doInstall
        self.upgrade)
/usr/lib/anaconda/lilo.py, line 231 in install
        (fsType, sl) = lilo.getImage(image)
/usr/lib/anaconda/lilo.py, line 43 in getImage
        raise IndexError, "unknown image %s" %(name,)
                IndexError: unknown image
                /boot/vmlinuz-2.2.12-20

The install aborted, and luckily I could reboot my old system:
* old kernel wasn't present (luckily it still was physically present
  on the disk)
* no /etc/lilo.conf

It seems like rpm deletes the old kernel, and during the upgrade of
lilo it tries to reference the removed vmlinuz.

Here's my old lilo.conf:

[jules@semtex jules]$ cat /etc/lilo.conf.rpmsave
boot=/dev/hda
map=/boot/map
install=/boot/boot.b
prompt
timeout=50

image=/boot/vmlinuz-2.2.12-20
        label=linux
        vga=791
        append="mem=127M"
        initrd=/boot/initrd-2.2.12-20.img
        root=/dev/hda7

image=/boot/vmlinuz-2.2.12-20
        label=linux-novga
        initrd=/boot/initrd-2.2.12-20.img
        root=/dev/hda7

image=/boot/vmlinuz-2.2.12-20
        label=linux-ask
        vga=ask
        initrd=/boot/initrd-2.2.12-20.img
        root=/dev/hda7
Comment 1 Jay Turner 2000-03-21 15:13:59 EST
This is fixed in the final release version of the code.

Note You need to log in before you can comment on or make changes to this bug.